About the In-Sight OPC Server

Getting Started

About the In-Sight OPC Server

The In-Sight OPC Server supports OPC Data Access clients based on versions 1.0, 2.0 or 3.0 of the OPC Specification. Exposing In-Sight spreadsheet cell data to OPC clients consists of four stages:

  1. Using In-Sight Explorer, add OPC tags to cells that contain data.
  2. Configure the OPC Server to publish the tags.
  3. Start the server by placing it into Running Mode.
  4. Configure your custom application to make use of the OPC Tags.

The In-Sight OPC Server allows HMI, SCADA and programming environments to access the following data from In-Sight sensors:

  • Cell values
  • Acquisition count
  • Active Job name
  • Online status (including Native Online, Discrete Online and GUI Online)
  • Live acquisition mode status

In addition to retrieving data, the In-Sight OPC Server allows OPC clients to:

  • Write cell values (EditFloat, EditInt and EditString cells only)
  • Save the Active Job
  • Change the Active Job
  • Trigger acquisition events
  • Toggle Online mode
  • Toggle Live mode

It is the custom application designer's responsibility to limit access to the server's exposed tags such as writing a new job file, writing a cell value or toggling the Online/Offline state of a sensor.

In-Sight® OPC Server Help

05/07/2019 3:40 PM
Copyright © 1999 - 2019
Cognex Corporation
All Rights Reserved.


Installation

Getting Started

Installation of the In-Sight OPC Server

Administrative Privileges

You must be logged on as a user with full administrative privileges in order to install the In-Sight OPC Server.

Microsoft .NET Framework

The In-Sight OPC Server requires the Microsoft .NET Framework 4.5 SP1. This will be installed automatically if not detected on the target system.

User Account Control

You must disable User Account Control (UAC) before installing the In-Sight OPC Server. For instructions on how to disable UAC, do the following:

  • Windows 7/Windows Server 2008 R2

    1. Click Start > Help and Support
    2. In the search box, type: Turn off UAC
    3. Press ENTER
    4. View the first search result topic entitled "Turn User Account Control on or off".

  • Windows 10

    You must disable UAC from Registry Editor by manually changing the value.

    Note: Disabling UAC from the Control Panel (User Accounts) will not allow you to install the In-Sight OPC Server on Windows 10.

    1. Press the Windows key + R on your keyboard. The Run dialog opens.
    2. Type regedit and click OK. Registry Editor opens.
    3. Select HKEY_LOCAL_MACHINE > SOFTWARE > Microsoft > Windows > Current Version > Policies > System.
    4. Right-click on EnableLUA, and select Modify. The Edit DWORD Value dialog opens.
    5. Change the Value data to 0.
    6. Click OK to close the dialog.
    7. Restart your PC. Now you can install the In-Sight OPC Server.

After installation, you may re-enable UAC; however, in order to uninstall the In-Sight OPC Server you will need to temporarily disable it again.

Windows Service

The In-Sight OPC Server (version 3.2.0+) runs as a Windows Service. Only one version of this service can be active at a time; if you have multiple versions of the In-Sight OPC server installed, only one will function at a time. To change the active server, run the In-Sight OPC Service Manager located at C:\Program Files\Cognex\In-Sight\In-Sight OPC Server X.X.X\OpcServiceManager.exe. This utility lists all versions of the In-Sight OPC server installed on your PC and allows you to set the active version.

Sample Projects

Sample Projects that demonstrate usage of the In-Sight OPC Server from various programming and HMI environments are installed by default into the following location:

  • Windows 7 & Windows 10/Server 2008: C:\Users\Public\Documents\Cognex\In-Sight\In-Sight Sample Projects X.X.X

OPC Foundation Modules

The In-Sight OPC Server installs and makes use of the following OPC Materials from the OPC Foundation.

  • OPC Foundation Core Components 2.00
  • OPC Foundation Data Access Automation 2.02

Related Topics

Troubleshooting Installation Issues


OPC Server Operation

Getting Started

What Happens After Installation?

Once the In-Sight OPC Server is installed, the server is automatically registered on the PC. At this point, OPC clients can connect to the server. The In-Sight OPC Server runs as a system service and can operate when no user is logged on to the PC.

In order to expose In-Sight sensor data to OPC clients, you must first create a configuration.

The OPC Server uses a configuration to establish which tags are exposed to OPC clients. No configuration exists when the OPC Server is first loaded. The Server Runtime window will appear; from this window, click Server > Edit Configuration to create the configuration.

What Happens After Creating a Configuration?

Once a configuration has been created and saved, the server can be managed from the In-Sight OPC Service Monitor system tray icon. Double-clicking the system tray icon will show the Server Runtime window. Right-clicking the system tray icon provides additional options.


OPC Server Limits

Getting Started

Limitations of the In-Sight OPC Server

The following constraints apply when working with the In-Sight OPC Server:

Operating Parameter | Limit
Allowable characters in a tag name | See the OPC Tag Naming Rules.
Allowable characters in a sensor name | Upper case alphabetic characters ( A-Z ) Lower case alphabetic characters ( a-z ) Numeric characters ( 0-9 ) Colon ( : ) Underscore ( _ ) Hyphen ( - ) Period ( . )
Length of OPC Tag name (minimum) | 1 character
Length of OPC Tag name (maximum) | 31 characters
Length of sensor name (minimum) | 1 character
Length of sensor name (maximum) | 63 characters
Number of event log entries (minimum) | 10
Number of event log entries (maximum) | 60000
Number of OPC Tags that can be assigned to a single cell | 1
Writable In-Sight spreadsheet cell types1 | EditFloat, EditInt and EditString
1 If a cell with an OPC tag does not contain one of these functions, it will be read-only when accessed from the In-Sight OPC Server or from any third-party OPC client.


Ways to Get Help

Getting Started

Help Menu

This help file can be accessed from the In-Sight OPC Server application by pressing F1 or clicking In-Sight OPC Server Help on the Help menu. It is also available from the In-Sight CD-ROM under the Documentation folder.

Release Notes

The Release Notes provide valuable information about system requirements and known product bugs. The Release Notes can be accessed by clicking the Release Notes shortcut on the Start Menu, located under "Cognex\In-Sight\In-Sight OPC Server" (by default).

Sample Projects

Sample projects have been included with the In-Sight OPC Server. These samples illustrate how to interact with the OPC server from various HMI/SCADA and programming environments.

The default installation directory for the samples is: <ProgramFiles>\Cognex\In-Sight\In-Sight Sample Projects

Start Menu

This help file and the In-Sight OPC Server Release Notes may be accessed from the Start Menu Program Group which is located (by default) under 'Cognex\In-Sight\In-Sight OPC Server'.

Online support

The Cognex In-Sight Support Web Site is a valuable resource for product updates, technical information and more.

Related Topics

  • Technical Support
  • Troubleshooting (FAQ)


What is an OPC Tag?

Working with OPC Tags

About OPC Tags

An OPC Tag is a symbolic name that can be applied to the spreadsheet cell of an In-Sight sensor or emulator. The tag can be visible to OPC clients so they can access the In-Sight spreadsheet cell data.

In the context of the In-Sight OPC Server, two types of OPC Tags exist: Job Tags and Sensor Tags.

An OPC Tag can represent the following data types:

  • Boolean
  • Floating point
  • Integer
  • Text string

Note: Text strings are sent to the OPC client in the Unicode representation of the text. A text string is decoded using the OPC language set via the Options menu in the Configuration Editor.

OPC Tag Naming Rules

OPC Tag names must adhere to the following rules:

  1. Tag names may not start with a numerical digit.
  2. Tag names may not contain spaces.
  3. Tag names may not be equivalent to spreadsheet cell names or have the form of spreadsheet cell names. For example:
a0 | Invalid tag name (equivalent to a spreadsheet cell name)
G213 | Invalid tag name (equivalent to a spreadsheet cell name)
c9100 | Invalid tag name (has a form similar to a spreadsheet cell name)
10window | Invalid tag name (starts with a numerical digit)
MyTag | Valid tag name
AcqCounter_A0 | Valid tag name
_a0 | Valid tag name
A0_Counter | Valid tag name
  4. Tag names may not be equal to any of the predefined Sensor Tag names used by the In-Sight OPC Server.
  5. Each OPC Tag name within a job file must be unique; duplicate tag names are not allowed.
  6. Tag names are case-sensitive. If you create an OPC Tag from within In-Sight Explorer, the corresponding OPC Tag referenced from the In-Sight OPC Server must use the exact same upper and lower case characters. If the two names do not match exactly, a Configuration Error will result.

Note: An In-Sight spreadsheet cell may have only one OPC Tag associated with it.

Related Topics

  • Adding new OPC Tags to In-Sight spreadsheet cells
  • OPC Tag Behavior When Editing a Job File


Adding an OPC Tag to a Job File

Working with OPC Tags

Background Information

Although every In-Sight sensor that supports OPC has predefined Sensor Tags for use by OPC clients, these tags most likely do not expose everything you would like to access in your client. For this reason, a Job Tag can be added to any non-empty In-Sight spreadsheet cell so that the value in that cell may become available to your OPC client.

To Add an OPC Tag to an In-Sight Spreadsheet Cell

  1. Launch In-Sight Explorer.
  2. Log on to a sensor and load the desired job file.
  3. Right-click a cell containing data and select Insert Symbolic Tag, as follows:

Note: Only EditFloat, EditInt and EditString cells are writable via OPC. If the target cell does not contain one of these functions, it will be read-only to the In-Sight OPC Server and to third-party OPC clients.

  4. In the Symbolic Tag Editor, In-Sight Explorer will automatically create new tag for the selected cell. Click the name 'NewTag' if you wish to change it. Refer to the OPC Tag Naming Rules for valid tag name characters and formats.
  5. Check the Use OPC checkbox in the Options group box.

  6. Click OK.

The Symbolic Tag has now been associated with the selected cell. Note that the cell now has a blue triangle in the lower-right corner as a visible indicator that the cell has a Symbolic tag:

If you hover over the cell with the mouse, notice that the Symbolic Tag name is displayed in a tool tip:

The newly-created Job Tag may now be added to your configuration.

Related Topics

  • What is an OPC Tag?
  • Job Tags vs. Sensor Tags
  • Available Tags vs. Configured Tags

For more information on using In-Sight Explorer, please refer to the In-Sight Explorer Help file.


Available Tags vs. Configured Tags

Working with OPC Tags

About Available Tags

An Available Tag is an OPC Tag that exists on an In-Sight sensor and may be added to your configuration. For example, every sensor or emulator that supports OPC has predefined Sensor Tags which are always available to be added to your configuration. Additionally, you can use In-Sight Explorer to add a custom Job Tag to any spreadsheet cell that contains data; this Job Tag then becomes an Available Tag that can be added to your configuration.

Available Tags appear in the Available Tags pane of the Configuration Editor window.

About Configured Tags

In order for the In-Sight sensor data associated with an Available Tag to become accessible to OPC clients, the Available Tag must be added to your configuration. Once the Available Tag is added to your configuration, it becomes a Configured Tag.

Configured Tags appear in the Configured Tags panes of both the Configuration Editor window and the Server Runtime window.

You can add new Job Tags to the configuration even though they are not yet available. This can be useful if you are working on a laptop while off the network, or if the In-Sight spreadsheet job has not yet been created.

Note: If you are adding tags to the configuration before they are available on the sensor, each tag name must match identically (including case) between the In-Sight OPC Server's Configured Tags list and the In-Sight sensor's job file; otherwise, the Tag Quality will be reported as a 'Configuration Error.'


Job Tags vs. Sensor Tags

Working with OPC Tags

About Job Tags

Job Tags are user-configurable tags that represent a value stored in the In-Sight spreadsheet that you would like to expose to OPC clients. Job Tags are saved inside the job file. See Adding an OPC Tag to a Job File for instructions on how to create a new Job Tag.

In order to write a value to a Job Tag, the associated spreadsheet cell on the In-Sight sensor or emulator must contain an EditFloat, EditInt or EditString function. Cells that do not contain one of these functions are read-only. If the target cell does contain one of these functions and you are still receiving an error, verify that the value you are attempting to write does not exceed any limits of the function, such as minimum value, maximum value or string length.

About Sensor Tags

Sensor Tags are default tags that are always available on any sensor or emulator that supports OPC. Sensor Tags are not stored in the job file. The following Sensor Tags may be added to your configuration:

Sensor Tag

Accessibility

Data Type

Description

AcquisitionCount

Read-only

Integer

Returns the number of acquisitions since the sensor has been powered up.

DiscreteOnline

Read-only

Boolean

Returns False if a Discrete Input line (configured as an Online/Offline Type) is set low (0). Otherwise, returns True.

GuiOnline

Read-only

Boolean

Returns True if the In-Sight Explorer GUI is set to Online mode (Sensor Menu > Online).

Note: If you are using the local GUI on an In-Sight 3400 sensor, the GuiOnline value returns True if the Online checkbox is selected on the System Menu; this is equivalent to the value reported from the In-Sight Explorer GUI.

JobName

Read/Write

String

Reading: Returns the name of the Active Job loaded on the In-Sight sensor, if the Active Job has been saved.

Writing: Loads the specified job name on to the In-Sight sensor. The job name specified must exist as a file on the sensor.

LiveMode

Read/Write

Boolean

Reading: Returns True if the sensor is in live acquisition mode. Otherwise, returns False.

Writing: Writing any non-zero value to the LiveMode tag will place the In-Sight sensor or emulator into live acquisition mode. Writing zero to the LiveMode tag will exit live acquistion mode.

Note: If you have the Job View of a sensor open in In-Sight Explorer after writing a value of True to the LiveMode tag, In-Sight Explorer will show the live image of the sensor but the Job View status bar will not indicate Live mode.

NativeOnline

Read/Write

Boolean

Reading: Returns False if the Native Mode Set Online command "SO0" has been issued to the sensor. Otherwise, returns True.

Writing: Writing any non-zero value to the NativeOnline tag will place the In-Sight sensor or emulator Offline via Native Mode (equivalent to issuing the Native Mode Set Online command "SO0".) Writing zero to the NativeOnline tag allows the sensor to be placed Online (equivalent to issuing the Native Mode Set Online command "SO1".)

Refer to the In-Sight Explorer Reference Guide for more information on Native Mode and the Native Mode command set.

Online

Read-only

Boolean

Returns the logical 'AND' of the following: (DiscreteOnline AND NativeOnline AND GuiOnline)

SaveJobAs

Read/Write

String

Reading: Returns a string containing the name of the last saved Job file.

Writing: Saves the Active Job file as the specified string.

Note: The In-Sight sensor must be Offline in order to write the SaveJobAs tag; otherwise, an error will result.

TriggerEvent

Read/Write

Integer

Writing: Fires a Soft Trigger or a Manual Acquisition on the In-Sight sensor:

  • Writing an integer value of 0 through 7 to the TriggerEvent tag will fire the corresponding "Soft n" trigger event in the spreadsheet, where n is the integer value written to the tag.

  • Writing a value of 8 to the TriggerEvent tag will fire a Manual Acquisition.

TriggerEvent Example

Note: The In-Sight sensor must be Online in order to write the TriggerEvent tag; otherwise, an error will result.


What is a Configuration?

Server Configuration

About the Configuration

Before the In-Sight OPC Server can expose data to OPC clients, a configuration must be created. The configuration contains the following information:

  • The In-Sight sensors from which to access data
  • The symbolic names (OPC Tags) defined on those sensors which the server will expose to OPC clients.

When the server is launched for the first time, no configuration exists. In order to expose In-Sight spreadsheet cell data to OPC clients, you must create and save a new configuration.

Related Topics

Creating the First Configuration

Adding Tags to the Configuration

Importing and Exporting Configurations


Creating and Saving a Configuration

Server Configuration

On First Launch

When the In-Sight OPC Server is launched for the first time, the Server Runtime window will appear, similar to the following:

As indicated in the Event Log, no configuration was located; this means we must create one.

Tip: Before creating a configuration, you may wish to use In-Sight Explorer to add custom Job Tags to your sensor(s).

To Create and Save a New Configuration

  1. From the Server Runtime dialog, click Server > Edit Configuration. This will launch the Configuration Editor:

  2. Select a sensor or emulator from the Available Sensors pane. If your desired sensor or emulator does not appear in the tree, you will need to Add a new sensor.
  3. After selecting a sensor from the tree, the Available Tags pane populates with tags that may be added to your server configuration. Select the desired tags from the list and click Available Tags > Add Selected. Alternatively, you may double-click an individual tag to add it to the list of configured tags.
  4. The tags chosen in the previous step now appear in the Configured Tags pane:
  5. Repeat steps (2) through (4) for any additional sensors.
  6. Once all desired tags have been added, click File > Save and Exit.
  7. The Server Runtime dialog now indicates the tags you configured in previous steps, similar to the following:
  8. At this point, you may start the server by clicking Server > Run. OPC clients will then be able to access data from the In-Sight OPC Server:

Related Topics

  • Adding an OPC Tag to a Job File
  • Job Tags vs. Sensor Tags


Adding a New Sensor to the Configuration

Server Configuration

Background Information

The Available Sensors pane automatically populates its tree with the following:

  • Sensors and emulators that are detected on your local network subnet
  • Sensors that you have manually configured for use with the In-Sight OPC Server

A sensor may not automatically appear in the tree for the following reasons:

  • The sensor supports OPC and is configured properly for your network, but it is not on your local subnet. In this case, you can go ahead and manually add the sensor to the OPC configuration using the steps to follow.
  • The sensor supports OPC but is not configured properly for your network. In this case, launch In-Sight Explorer and run the In-Sight Connection Manager to configure the sensor for your network. If you configure the sensor to be on your local subnet, then it will appear in the Available Sensors pane after refreshing the tree. If you configure the sensor to be on a different subnet, you will need to follow the steps outlined below to manually add the sensor to your configuration.
  • The sensor does not support OPC. If the sensor is a 3400 or 5000-series device, you may need to update the firmware to the latest version using In-Sight Explorer before it will function properly with the OPC Server. Refer to the In-Sight Explorer help file for instructions on how to update the firmware on a sensor. Older In-Sight sensor models such as 1000- and 4000-series sensors do not support OPC and will not show up in the network tree.
  • Your tree is only showing Configured Sensors. In the Configuration Editor, toggle the Sensors > Show Only Configured menu option to allow all available sensors to appear.

To Add a New Sensor to the Configuration

  1. In the Configuration Editor, click Sensors > Add...

  2. Type in valid User Name and Password credentials to access the sensor.
  3. If you would like to use the DNS name of the sensor when accessing it, enter the DNS Name. Otherwise, a static IP may be specified by selecting the Using Static IP check box and typing in the IP Address of the sensor.
  4. Type in an OPC Name for the sensor. This name, along with the DNS Name (if specified), will identify the sensor in the Available Sensors pane and the Server pane.
  5. Click OK.
  6. At this point, you may now proceed to add tags to your configuration.


Adding Tags to the Configuration

Server Configuration

To Add Existing Tags to the Server's Configuration

  1. In the Configuration Editor, select a sensor or emulator from the Available Sensors pane. If a desired sensor does not appear in the list, see Adding a New Sensor to the Configuration for possible reasons and instructions on how to get the sensor into the list.
  2. On the Sensors menu, click Add. This action will add the sensor into the configuration. If the Add option is shaded, the sensor is already in your configuration.
  3. From the Available Tags pane, select one or more tags that you would like exposed to OPC clients.

Note: If Job Tags are not showing up properly in the Available Tags list, verify the following:

  • The job file containing the desired Job Tags is loaded on the sensor or emulator.
  • A valid User Name and Password have been supplied in the Configuration Editor (right-click the sensor in the tree and select Edit)
  • The DNS Name and IP Address are correct for the sensor (right-click the sensor in the tree and select Edit)
  4. On the Available Tags menu, click Add Selected. Alternatively, you can double-click any Available Tag to add it to your configuration.

To Set the Properties of a Configured Tag

The properties of Sensor Tags cannot be modified; however, you can edit the Name, Access level or Data Type of any Job Tag that you have created by double-clicking the value you wish to change from the Configured Tags Pane.

Refer to the Troubleshooting Tag Access topic for important notes regarding OPC client access to Job Tags configured with ReadWrite Access.

EasyBuilder® Software - Use English Symbolic Tags for EasyBuilder

The EasyBuilder® software within In-Sight Explorer contains an option named "Use English Symbolic Tags for EasyBuilder." When this option is enabled, symbolic tags (including OPC tags) will always be created in English regardless of the User Interface language. When this option is disabled, symbolic tags will be created in the active language of the User Interface. Additionally—at the time this option is enabled—any symbolic tags that exist in jobs that are open in the EasyBuilder interface will be automatically converted to English.

If a job file originally had non-English OPC tags configured to be used with the In-Sight OPC Server, enabling the "Use English Symbolic Tags for EasyBuilder" option will require you to reconfigure the In-Sight OPC Server to use the updated (English) symbolic tags.

If you want to use the "Use English Symbolic Tags for EasyBuilder" option, it is recommended to set this option before initially configuring the In-Sight OPC server.

See the In-Sight Explorer Reference Guide help file for more information on EasyBuilder and the "Use English Symbolic Tags for EasyBuilder" setting.


Removing a Sensor from the Configuration

Server Configuration

To Remove a Sensor From the Configuration

  1. Open the Configuration Editor.
  2. Select a sensor or emulator from the Available Sensors pane.
  3. On the Sensors menu, click Remove. If the Remove option is shaded, the sensor is already absent from your configuration.
  4. On the File Menu, click Save and Exit. This action will remove the sensor (and any OPC Tags defined on it) from the configuration.

Note: Job Tags are not removed from the sensor when they are removed from the configuration; they can be added back to the configuration at a later time.


Removing Tags from the Configuration

Server Configuration

To Remove Tags from the Configuration

  1. Open the Configuration Editor.
  2. Select a sensor or emulator from the Available Sensors pane.
  3. In the Configured Tags pane, select any tags you would like to remove from the Configuration.
  4. On the Configured Tags menu, click Remove.
  5. On the File menu, click Save and Exit. This action will remove the selected tags from the configuration.

Note: OPC Tags are not removed from the sensor when they are removed from the configuration; they can be added back to the configuration at a later time.


Clearing the Configuration

Server Configuration

Before Proceeding

Note that clearing the server's configuration will cause any Configured Tags to no longer be available to OPC clients. All OPC Tags will remain in the job files of each In-Sight sensor and may be added back into the configuration at a later time.

To Clear the Server's Configuration

  1. From the Configuration Editor, click File > Clear Configuration.
  2. Click OK to confirm.
  3. Click File > Save and Exit.
  4. Click Yes to confirm.


Exporting and Importing Configurations

Server Configuration

Background

The current configuration of the In-Sight OPC Server may be saved (exported) to a file on your PC. The resulting XML file may be imported at a later time to restore a particular configuration.

Exporting a Configuration

The active OPC configuration may be saved to a file (XML format) on the PC by clicking File > Export from the Configuration Editor.

Importing a Configuration

You may import a previously exported configuration by selecting File > Import from the Configuration Editor.


About Event Logging

Event Logging

About Event Logging

The In-Sight OPC Server Event Log maintains a history of various events that occur during configuration and while the server is in its Running state.

Events can be generated from different sources. The following table lists common events that are logged, along with a description of the event:

Event Source

Event Description

What This Means...

<sensor>

Connection Closed

The OPC Server has disconnected from the sensor.

<sensor>

Connection Dropped

The socket was closed. This can occur when Telnet recycling occurs when the maximum number of Telnet or Native Mode connections has been exceeded. The first connection will be terminated, thereby allowing the new connection to be established. Telnet recycling is enabled.

<sensor>

Connection Established

The OPC Server was able to successfully connect to the sensor.

<sensor>

Connection Rejected

This message can occur under the following circumstances:

  • The target device is a PC, but an In-Sight emulator is not running on the PC.
  • A 'PUT PORTNUM' Native Mode command has been issued to the sensor that changed the default communication port. In this case, the OPC Server is unable to connect to the default port on the sensor. To remedy this case: telnet to the sensor, log on and type: PUT PORTNUM 50000 to reestablish the default communication port.

<sensor>

Incorrect Logon

Either the server is configured with an incorrect logon for the sensor, or the sensor has a User Name or Password which does not match the OPC Server's configuration.

<sensor>

Initialized

The OPC configuration was loaded and initialized.

<sensor>

Log On Successful

The supplied user credentials were accepted by the sensor.

<sensor>

No Response Received

This message can occur when communication to the sensor is lost (for example, if the sensor is disconnected from the network.)

<sensor>

OPC Failed to Initialize

OPC is not supported on this sensor. Please verify the following:

  • The sensor is an In-Sight 3400 or 5000-series sensor.
  • The sensor has firmware 3.1.0 (or greater).

If the sensor does not have at least 3.1.0 firmware, use In-Sight Explorer to update the firmware to the latest version.

<sensor>

Connection Closed

The OPC Server has disconnected from the sensor.

<sensor>

Connection Established

The sensor has acknowledged the OPC Server.

<sensor>

Failed to Send Data

This error can occur:

  • When attempting to write data to an OPC tag if the cell associated with the tag does not contain an EditFloat, EditInt or EditString function. Note that these are the only functions that can be written via OPC, even if the Access is configured to be 'ReadWrite' in the OPC Server's Configuration Editor.
  • When attempting to write data that is outside the range of allowable values for the function contained in the cell associated with the OPC tag. For example: a number that exceeds the maximum value specified in an EditInt cell, or a string whose length exceeds the maximum string length defined in an EditString function.
  • If a network error occurred while attempting to send data to the sensor.

Configuration File

Config file was not found

Either you have not yet created a configuration, or have saved an empty one.

Configuration File

New configuration was written

A new configuration has been saved.

Server

Running

The OPC Server has been placed into its Running state.

Server

All clients disconnected

The OPC Server has been disconnected from each sensor in its configuration.

Server

No sensors found in configuration

The configuration does not contain any sensors.

Server

DNS Resolution Failed

The OPC Server was unable to resolve the specified DNS name into an IP address; therefore, it was unable to establish communication with the sensor.

Server

Library Failed to Load

An internal error has occurred. Please contact Technical Support.

Server

Server offline, clients still connected

The server is suspended (no longer Running), but remote clients are still connected to it.

Server

XML Error

A communication error has occurred between the OPC Server and sensor. Please contact Technical Support.

Related Topics

  • Changing the Number of Log Entries
  • Saving the Event Log
  • Printing the Event Log
  • Clearing the Event Log


Changing the Number of Log Entries

Event Logging

To Change the Maximum Number of Event Log Entries

  1. From the In-Sight OPC Server Runtime window, click View > Options.
  2. In the Event Log Options panel, adjust the Maximum number of log entries as desired.

  3. By default, old events will be cycled out when the maximum number of log entries is reached. If you would like the server instead to stop logging when the maximum number of events is reached, select the Stop logging when full check box.
  4. Click OK.


Saving the Event Log

Event Logging

To Save the Event Log

Method #1: Menu Bar

  • On Server Runtime window, select Event Log > Save...

Method #2: Tool Bar

  • On the Event Log tool bar, click the Save button:


Printing the Event Log

Event Logging

To Print the Event Log

Method #1: Menu Bar

  • On Server Runtime window, select Event Log > Print...

Method #2: Tool Bar

  • On the Event Log tool bar, click the Print button:


Clearing the Event Log

Event Logging

To Clear the Event Log

Method #1: Menu Bar

  • On Server Runtime window, select Event Log > Clear

Method #2: Tool Bar

  • On the Event Log pane tool bar, click the Clear button:


In-Sight OPC Server Runtime

GUI Reference

About the Server Runtime Window

The In-Sight OPC Server Runtime window is the main GUI for the In-Sight OPC Server. On first launch, this window is mostly empty since no configuration has been created yet. Once a configuration has been created, the Server Runtime window presents an overview of the sensors and OPC Tags that exist in your configuration. The Event Log displays informational messages regarding the state of the server and configured sensors.

Click on any of the red-bounded regions for more detail:


Server Runtime Menu Bar

GUI Reference

The Server Runtime menu bar includes the following selections:

  • File > Close: Hides the Server Runtime window but leaves the OPC Server running in the background.
  • File > Shutdown Server: Stops the In-Sight OPC system service. The In-Sight OPC Service Monitor remains in memory and minimized in the system tray.
  • View > Large Icons: Toggles between showing large and small icons in the tool bars of the various GUI panes.
  • View > Options: Displays the Options dialog, where tag update rates and event logging parameters can be set.
  • Server > Run: Places the server in Running mode and allows OPC clients to see updated tag values.
  • Server > Suspend: Stops the server.
  • Server > Edit Configuration: Opens the Configuration Editor window.
  • Tag > Write Tag Data: Allows you to send a new value to a tag by using the Write Tag Data dialog. In order to use this function: the server must be Running, and a tag with ReadWrite Access must be selected in the Configured Tags pane.
  • Event Log > Save: Saves the contents of the Event Log to a file on the PC. Event logs may be saved in XML or Text format.
  • Event Log > Print: Prints the contents of the Event Log.
  • Event Log > Clear: Erases all entries from the Event Log.
  • Help > In-Sight OPC Server Help: Launches this help file.
  • Help > About: Displays information about this release of the In-Sight OPC Server, including the version and copyright statements.


Server Pane (Server Runtime window)

GUI Reference

About the Server Pane

The Server pane is a portion of the Server Runtime window. It displays all configured sensors and their current status.

Tool Bar Icons

Launches the Configuration Editor.

Suspends the server.

Places the server in Running mode.

Sensor Status Icons (Running Mode)

The OPC Server has successfully established a connection with the sensor.

The OPC Server was not able to establish a connection with the sensor. The connection was closed due to an incorrect User Name, Password or network setting.

The OPC Server has successfully established a connection with the emulator.

The OPC Server was not able to establish a connection with the emulator. The connection was closed due to an incorrect User Name, Password or network setting.


Configured Tags (Server Runtime)

GUI Reference

About the Configured Tags Pane

The Configured Tags pane is a portion of the Server Runtime window. It displays all configured tags on the server.

Tool Bar Icons

Displays the Options dialog.

Displays the Write Tag Data dialog, which allows you to modify the value of any writable (Access = ReadWrite) tag.

Note: Write Tag Data is enabled when the server is in Running mode and a writable tag (Access = ReadWrite) is selected in the Configured Tags pane.

Table Entries

Server's Configured Tags | Lists each configured tag and the sensor on which it lives in the format of <SensorName>.<TagName>
Access | Indicates whether the tag is read-only or read-writable.
Data Type | Indicates the type of data being represented by the tag (String, Boolean, Floating Point or Integer).
Value | The value associated with the OPC tag.
Quality | The quality indicator of the tag.


Event Log

GUI Reference

About the Event Log

The Event Log pane is a portion of the Server Runtime window. It displays various events that occur during configuration and while the server is in its Running state.

Tool Bar Icons

Saves the contents of the Event Log to a file on your PC.

Prints the contents of the Event Log to a printer.

Clears all entries from the Event Log.

Table Entries

Source | The source of the event.
Time | The time the event occurred.
Date | The date the event occurred.
Description | A brief statement regarding what happened.

See About Event Logging for details on common event sources and event descriptions.


In-Sight OPC Server Configuration Editor

GUI Reference

About the Configuration Editor Window

The In-Sight OPC Server Configuration Editor allows you to create a configuration that defines which tags will be exposed to OPC clients.

To Display the Configuration Editor

From the Server Runtime window, click Server > Edit Configuration.

Click on one of the red-bounded regions for more detail:


Available Sensors Pane (Configuration Editor)

GUI Reference

About the Available Sensors Pane

The Available Sensors pane is a portion of the In-Sight OPC Server Configuration Editor. It can display sensors in two different modes:

  • All Sensors: Shows all sensors and emulators detected on your subnet, including sensors you have added manually.
  • Configured Sensors: Only shows sensors that are currently in the configuration.

The following image shows the Available Sensors pane in "Configured Sensors" mode:

Double-clicking a non-configured sensor will add it to your configuration, while double-clicking a configured sensor will display the Sensor Configuration Editor.

Tool Bar Icons

Toggle between showing all sensors or only showing configured sensors.

Refresh the network tree. This icon is disabled when only showing configured sensors.

Adds the selected sensor to the configuration ("All Sensors" mode only), or a new sensor if none is selected. Adding a new sensor is the default behavior when only configured sensors are shown.

Edit the properties of the currently selected sensor.

Sensor Status Icons

This sensor is configured.

This sensor has not yet been configured.

This sensor is configured but was not detected on the network.

This emulator is configured.

This emulator has not yet been configured.

This emulator is configured but was not detected on the network.


Available Tags Pane (Configuration Editor)

GUI Reference

About the Available Tags Pane

The Available Tags pane is a portion of the Configuration Editor window. It lists all tags (both Job Tags and Sensor Tags) that exist on a sensor. Shaded/strikeout tags have already been added to your configuration, while tags with yellow icons may be added to your configuration.

When the root node ("All Sensors" or "Configured Sensors") is selected in the Available Sensors pane, the Available Tags pane will be empty because the Available Tags pane only shows tags on a sensor if one is selected from the tree.

Tool Bar Icons

Adds all Job Tags from the selected sensor to your configuration.

Adds all Job Tags and Sensor Tags from the selected sensor to your configuration.

Adds all selected Tags from the selected sensor to your configuration.

Tag Status Icons

This tag has not been added to your configuration.

This tag has been added to your configuration.


Configured Tags Pane (Configuration Editor)

GUI Reference

About the Configured Tags Pane

The Configured Tags pane is a portion of the Configuration Editor window. This pane can show two different sets of information:

  • If a sensor is highlighted in the Available Sensors pane, the Configured Tags pane will show all tags that have been added to your configuration from that sensor.
  • When the root node ("All Sensors" or "Configured Sensors") is selected in the Available Sensors pane, the Configured Tags pane will be populated with all configured tags from all sensors. In this case, the Configured Tags list will be read-only; you must select an individual sensor from the tree in order to edit the Configured Tags for that sensor.

If a Job Tag is selected, you can double-click any of the fields (tag name, Access, Data Type) to modify their values. Sensor Tag fields cannot be modified.

The following is an example of the Configured Tags pane when a sensor is selected in the Available Sensors tree:

Tool Bar Icons

Adds a new tag to the configuration.

Edits the properties of the selected tag (Job Tags only.)

Removes the selected tag from the configuration.

Copies the selected tag.

Pastes the selected tag.

Tag Status Icons

This tag is added to your configuration.


Configuration Editor Menu Bar

GUI Reference

The Configuration Editor menu bar includes the following selections:

  • File > Save and Exit: Saves all changes made to the configuration and exits the Configuration Editor.
  • File > Clear Configuration: Removes all sensors and tags from the configuration. Note that tags are not removed from the sensors, only from the OPC configuration.
  • File > Import: Loads an OPC configuration that has been saved previously.
  • File > Export: Saves the current OPC configuration to a file on the PC.
  • File > Exit: Closes the Configuration Editor.
  • Sensors > Show Only Configured: Toggles between showing the following in the network tree of the Available Sensors pane:
    • Only configured sensors
    • All detected and manually added sensors
  • Sensors > Refresh: Scans the network and repopulates the Available Sensors pane with a current list of detected sensors.
  • Sensors > Add: If the root tree node ("Configured Sensors" or "All Sensors") of the Available Sensors tree is selected, this menu item will open the Sensor Configuration Editor to add a new sensor to the configuration. If a sensor or emulator is selected, this menu item will add the selected sensor or emulator to the configuration.
  • Sensors > Edit: Opens the Sensor Configuration Editor, which allows you to view or change the User Name, Password, network connection details or the OPC name of the sensor.
  • Sensors > Remove: Removes the selected sensor or emulator from the configuration. If the selected sensor does not exist in the configuration (or if no sensor is selected), this item will be shaded and not available.
  • Available Tags > Add Job Tags: Places all Job Tags from the selected sensor into the Configured Tags list.
  • Available Tags > Add All: Places all tags (both Sensor Tags and Job Tags) from the selected sensor into the Configured Tags list.
  • Available Tags > Add Selected: Places each selected tag from the Available Tags pane into the Configured Tags list.
  • Configured Tags > New: Adds a new tag to the configuration.
  • Configured Tags > Edit: Allows you to modify the Name, Access Level or Data Type of the tag selected in the Configured Tags pane.
  • Configured Tags > Remove: Removes the selected tag(s) from the configuration.
  • Configured Tags > Copy: Copies the selected tag(s) from the Configured Tags pane.
  • Configured Tags > Paste: Pastes the copied tag(s) to the selected sensor.
  • Configured Tags > Select All: Highlights all Configured Tags in the Configured Tags pane.
  • Options > Default Logon: Establishes a User Name and Password to use by default when adding sensors to the configuration. This value can be overridden for one or more sensors by double-clicking a configured sensor in the Available Sensors pane and changing the User Name or Password to a different value.
  • Options > Password Protection: When set, a password is required to either shut down the server or make configuration changes.
  • Options > Run OPC Server on Startup: When this option is selected, the In-Sight OPC Service will start when the computer is booted.
  • Options > Show Service Monitor on Startup: When this option is selected, the In-Sight OPC Service Monitor will load and appear as a system tray icon when a user logs on to the PC.
  • Options > Language: Sets the user interface language.
  • Help > About: Displays the version of the server and a copyright statement.


Options Dialog

GUI Reference

To Display the Options Dialog

From the In-Sight OPC Server Runtime window, click View > Options.

Tag View Options

Update Rate: Establishes the refresh rate of tag values in the OPC Server Runtime GUI. This does not affect the rate at which sensors update the server; sensors automatically send changes to a tagged value, so the server always has the most current value.

Event Log Options

Maximum number of log entries: Specifies the capacity of the Event Log, in number of events. See OPC Server Limits for the minimum and maximum allowable number of event log entries.

Stop logging when full: By default, old events will be cycled out when the maximum number of log entries is reached. If you would like the server instead to stop logging when the maximum number of events is reached, select this check box.


Sensor Configuration Editor

GUI Reference

About the Sensor Configuration Editor

The Sensor Configuration Editor allows you to view or edit the following properties of a new or configured sensor:

  • Logon credentials (User Name and Password)
  • Network Connection method (DNS or IP Address)
  • Sensor Name (as seen in the OPC Server Runtime)

Using the Sensor Configuration Editor

The Sensor Configuration Editor can be used under two different scenarios:

  1. If a sensor is not on your local subnet, it may not automatically appear in the Available Sensors tree. In this case, you will need to add the sensor to the configuration manually.
  2. You wish to edit the properties of a sensor that already exists in your configuration.

To Add a New Sensor to your Configuration

  1. In the Available Sensors pane, right-click the 'All Sensors' or 'Configured Sensors' root node and click Add.

  2. In the Sensor Configuration Editor, you may configure the properties of the sensor as desired:

User Name: The user name for logging on to this sensor.

Password: The password for logging on to this sensor.

Verify Password: Retype the Password for verification.

Note: The User Name and Password defined in this dialog take precedence over the Default Logon.

Using Static IP: Select this check box to specify a fixed IP address to use when connecting to the sensor, rather than the network DNS Name.

DNS Name: When the 'Using Static IP' check box is cleared, the sensor's network DNS name will be used when establishing a connection to the sensor.

IP Address: When the 'Using Static IP' check box is selected, the IP address in this field is used when establishing a connection to the sensor.

OPC Sensor Name: The name of this sensor as seen by OPC clients. This name is also used as part of each fully-qualified OPC tag name. See the Configured Tags Pane topic (in the Server's Configured Tags column) for an example of how this name is used as a part of the OPC tag name.


System Tray Icon

GUI Reference

By default, the In-Sight OPC Service Monitor will load each time a user logs on to the PC. The Service Monitor launches minimized in the system tray, as depicted in the following graphic:

When the In-Sight OPC Server is in its Running state, the system tray icon (encircled in red) includes a green triangle. The green triangle disappears when the server is suspended.

Right-clicking the OPC Service Monitor system tray icon provides several options:

  • Open OPC Server Configuration: Displays the In-Sight OPC Server Runtime which provides an overview of the current OPC configuration. If the In-Sight OPC system service is not Started, it will be Started before the Server Runtime window is displayed.
  • Running: Places the server in Running mode and allows OPC clients to see updated tag values.
  • Startup Server: Starts the In-Sight OPC system service.
  • Shutdown Server: Stops the In-Sight OPC system service.
  • Run OPC Server on Startup: When this option is selected, the In-Sight OPC Service will start when the computer is booted.
  • Show Service Monitor on Startup: When this option is selected, the In-Sight OPC Service Monitor will load and appear in the system tray when a user logs on to the PC.
  • Exit: Closes the In-Sight OPC Service Monitor and terminates it from memory. The In-Sight OPC system service will remain in its current state (Started or Stopped.)


Write Tag Data Dialog

GUI Reference

In order to write a value to a configured tag, the server must be Running and the tag must be writable (Access = ReadWrite)

To Write a Value to a Configured Tag

  1. Once you have created and saved a configuration, start the server by clicking Server > Run.
  2. Double-click any writable tag (Access = ReadWrite) in the Configured Tags pane.

  3. Adjust the value as desired. The Data Type associated with the configured tag determines which Data (Boolean, Integer, Float, String) may be written to a tag.


Microsoft Excel Integration

You can dynamically link data from the In-Sight OPC Server into Microsoft Excel by doing the following:

  1. Once a Configuration has been created, display the In-Sight OPC Server Runtime window.

  2. Launch Microsoft Excel.
  3. Drag-and-drop any configured tag (for example, DiscreteOnline) from the Server Runtime window into a cell within Microsoft Excel.

  4. The value of the tag will appear inside the cell.


Installation Issues

Troubleshooting

Version 3.2.0 (and higher)

Starting with version 3.2.0, the In-Sight OPC Server runs as a Windows service (Control Panel > Administrative Tools > Services.) Although you can have multiple versions of the In-Sight OPC Server installed on your PC, only one version of the In-Sight OPC Windows service may be active at a time. If the version of the In-Sight OPC Server that you're trying to run does not match the version of the installed Windows service, the OPC Server will not function.

When you install a version of the In-Sight OPC Server, that version becomes the active Windows service (even if it is not the highest version number installed on the PC.)

When you uninstall a version of the In-Sight OPC Server, the Windows service is removed from the system. This will prevent all other installed versions of the In-Sight OPC Server from working until the Windows service is re-activated for that specific version of the OPC Server.

To activate the Windows service for any version of the In-Sight OPC Server, run the OPC Service Manager, which is installed (by default) into the following location:

C:\Program Files\Cognex\In-Sight\In-Sight OPC Server\OpcServiceManager.exe

Select from the list of installed OPC Services and click Activate. The corresponding version of the In-Sight OPC Server will then be able to function.

If you have installed the Cognex In-Sight OPC Server but it does not appear in the OPC Service Manager, you may need to Repair the installation as follows:

  1. Open the Windows Control Panel
  2. Launch the Add/Remove Programs applet
  3. Locate and select the Cognex application to repair
  4. Click Change/Remove
  5. When the InstallShield Wizard dialog appears, select Repair
  6. Click Next
  7. Once the Repair process completes, try launching the In-Sight OPC Server again.


FAQ

Troubleshooting

Frequently Asked Questions

When do tags get updated?

A tag is first updated in the server. If the GUI is monitoring the tags (Show Updates is enabled), the server fires an event to the GUI which updates the tag.

At what frequency do client tags get updated?

When a tag is modified on the sensor, the changes are sent to the OPC server; the server always maintains the current value.

The In-Sight OPC Server uses a proprietary communication channel over which the server receives any changes to information it is configured to expose to OPC clients. The server does not need to actively retrieve data; rather, the sensors send new data whenever changes occur. In a "normal" working system, this method is much more efficient; however, it is possible for a sensor to become disconnected from the server during run-mode. The In-Sight OPC Server will eventually detect and report this condition, but it may take several seconds.

Tag changes on the OPC client side are usually subscribed to. When a value changes on the server side, the server sends the change to the client. The OPC client specifies an update frequency to the server; the server will send updates at this subscribed rate. If you put the server in Live mode and subscribe to the acquisition count at a rate of 2 seconds, you will see large jumps on the client side; however, the server is receiving every update (monitor tags to see this). The client can change the rate to get more frequent updates.

Why am I seeing 'Failed To Send Data' in the Event Log after writing a value to a tag?

In order to write a value to an OPC tag, the associated spreadsheet cell on the In-Sight sensor or emulator must contain an EditFloat, EditInt or EditString function. Cells that do not contain one of these functions are read-only. If the target cell does contain one of these functions and you are still receiving an error, verify that the value you are attempting to write does not exceed any limits of the function, such as minimum value, maximum value or string length.

My OPC client is reporting "Connection to server failed." What might be causing this?

Verify that the default access DCOM permissions are not preventing the client from accessing the In-Sight OPC Server.

Why am I receiving an error after writing a value to the TriggerEvent Sensor Tag?

Verify that the target In-Sight sensor is Online before writing a value to the TriggerEvent tag.

I'm writing a value to the SaveJobAs Sensor Tag, but nothing is happening. Why?

Verify that the target In-Sight sensor is Offline before attempting to write a new value to the SaveJobAs tag. A job file cannot be saved to an In-Sight sensor while it is in the Online state.

I wrote a value of True into my LiveMode Sensor Tag; why does In-Sight Explorer say the sensor is not in live acquisition mode?

Unless an error occurred, the sensor really is in live acquisition mode; however, In-Sight Explorer will not report Live in the status bar of the Job View.

Why are my EasyBuilder tool signals (particularly from a Chinese or Korean language job) not being exposed as OPC tags?

In order for tool signals to be exposed correctly as OPC tags, the User Interface language of In-Sight Explorer must match the User Interface language of the In-Sight OPC Server. For example, if the UI language of In-Sight Explorer is set to Chinese, and the UI language of the In-Sight OPC Server is set to English, then EasyBuilder tool signals will not be exposed correctly to OPC.

I set a Default Logon, but I'm still receiving Incorrect Login after Running the server. Why?

To use a Default Logon for all sensors in your configuration, you must set the Default Logon prior to adding sensors to your configuration. Existing sensors in the configuration will not be updated automatically to use the Default Logon after setting it.

Can I use OPC Tags as variables in spreadsheet expressions?

No.

Why did my tags stop updating after I toggled the "Use English Symbolic Tags for EasyBuilder" setting?

See this topic for an explanation.

Why does the server still indicate it's running when it's been suspended?

When the In-Sight OPC Server is suspended by right-clicking the notification area icon, the status bar may indicate that the server is still in the Running state.

I can't stop or start the In-Sight OPC Service. Why?

If a standard user account attempts to start or stop the In-Sight OPC Service, it will silently fail. Turn on User Account Control (UAC) from the Control Panel (User Accounts).


OPC Tag Behavior When Editing a Job File

In-Sight OPC Server

OPC Tag Behavior

This page describes how OPC Tags respond to various actions that can be performed in a job file from In-Sight Explorer.

Note: If you create an OPC Tag from within In-Sight Explorer or the In-Sight Display Control, the corresponding OPC Tag inside the In-Sight OPC Server must use the exact same upper and lower case characters. If the two names do match exactly, a Configuration Error will result.

Saving the Job File

All Job Tags are saved with the job file when the job is saved. Sensor Tags, however, are inherent to the sensor itself and are not stored in the job file. See Job Tags vs. Sensor Tags for more details.

Editing a Cell Expression

Editing the expression in a cell does not affect the OPC Tag assigned to the cell.

Note: If a cell is in the #ERR state, the In-Sight OPC Server will default to the String data type when adding an OPC tag to that cell. For cells that contain integer or floating point values, the In-Sight OPC Server may report a quality of 'Uncertain' for the tag(s) associated with these cells. To workaround this behavior, change the data type to Integer or Float instead of String.

Copy & Paste a cell to a Different Location

Pasting a copied cell that has an OPC Tag will not paste a second OPC Tag because duplicate tag names are not allowed. The original OPC Tag will remain on the copied cell, and the pasted cell will have no OPC Tag.

Cut & Paste a Cell to a Different Location

Pasting a cut cell that has an OPC Tag will move the OPC Tag to the new cell destination.

Deleting a Cell

If a spreadsheet cell is deleted, the OPC tag will be removed along with the cell contents.

Note: Cell A0 cannot be deleted; in order to remove an OPC Tag from cell A0, highlight the cell in In-Sight Explorer and select Edit > Clear > OPC Tag.

Clear Contents

Clear Contents will remove any OPC Tags on cells in the selected range.

Insert Rows

Inserting rows above a cell that contains an OPC Tag will move the OPC Tag along with the cell.

Empty Cells

An OPC Tag cannot be assigned to a cell that has no expression or value.

Pasting a Tag Over Another Tag

If you paste a copied cell (with a tag) over the top of another cell (with a tag), the pasted tag will overwrite the tag in the destination cell.

Using OPC Tags in Spreadsheet Expressions

OPC Tags cannot be used as variables in spreadsheet expressions.

Related Topics

For more information on using In-Sight Explorer, please refer to the In-Sight Explorer Reference Guide which can be accessed by pressing F1 from within In-Sight Explorer.


Tag Access

Tag Access (Read vs. ReadWrite)

Troubleshooting

Background Information

While you can configure a Job Tag with an Access Level of ReadWrite, this does not necessarily mean that an OPC client can successfully write data to the In-Sight spreadsheet cell associated with tag.

The ability of OPC clients to read data from or write data to spreadsheet cells on In-Sight sensors depends on the following factors:

  • Tag Access Level
  • OPC User Access Level
  • The function or formula contained in the spreadsheet cell

Tag Access Level

Values of tags with an Access Level of Read may only be retrieved from an OPC client. Values of tags with an Access Level of ReadWrite may be retrieved or set by an OPC client.

OPC User Access Level

When setting up a configuration, you may establish a default logon or individual logons for each sensor. The User Names and Passwords set up in the OPC configuration must match valid User Names and Passwords that exist on each sensor and have the desired Access Level to edit the contents of spreadsheet cells on the sensor(s) in the configuration.

Refer to the In-Sight Explorer help file for more information regarding User Access Levels on In-Sight sensors.

Spreadsheet Functions

In-Sight spreadsheet cells containing one of the following functions may be written from an OPC client:

  • EditFloat
  • EditInt
  • EditString

If a Job Tag is moved to a different spreadsheet cell, the Access Level remains unchanged. Any cell that does not contain an EditFloat, EditInt or EditString function cannot be written by an OPC client, regardless of the Access level assigned to the OPC tag in the In-Sight OPC Server.


Background Information

The EasyBuilder® software within In-Sight Explorer contains an option named "Use English Symbolic Tags for EasyBuilder." When this option is enabled, symbolic tags (including OPC tags) will always be created in English regardless of the User Interface language. When this option is disabled, symbolic tags will be created in the active language of the User Interface. Additionally—at the time this option is enabled—any symbolic tags that exist in jobs that are open in the EasyBuilder interface will be automatically converted to English.

See the In-Sight Explorer Reference Guide help file for more information on EasyBuilder and the "Use English Symbolic Tags for EasyBuilder" setting.

Impact to the OPC Server

If a job file originally had non-English OPC tags configured to be used with the In-Sight OPC Server, enabling the "Use English Symbolic Tags for EasyBuilder" option will require you to reconfigure the In-Sight OPC Server to use the updated (English) symbolic tags.

If you want to use the "Use English Symbolic Tags for EasyBuilder" option, it is recommended to set this option before initially configuring the In-Sight OPC server.


Copyrights, Patents and Trademarks

In-Sight OPC Server

Copyrights

The software described in this document is furnished under license, and may be used or copied only in accordance with the terms of such license and with the inclusion of the copyright notice shown on this page. Neither the software, this document, nor any copies thereof may be provided to, or otherwise made available to, anyone other than the licensee. Title to, and ownership of, this software remains with Cognex Corporation or its licensor. Cognex Corporation assumes no responsibility for the use or reliability of its software on equipment that is not supplied by Cognex Corporation. Cognex Corporation makes no warranties, either express or implied, regarding the described software, its merchantability, non-infringement or its fitness for any particular purpose.

All copies of the source code for the Cognex software described in this document remain solely the possession of Cognex Corporation. The source code is stored in a secured version control system, and access is restricted to Cognex engineering personnel directly involved in the development of the software. The source code has not been shared with any third parties.

The information in this document is subject to change without notice and should not be construed as a commitment by Cognex Corporation. Cognex Corporation is not responsible for any errors that may be present in either this document or the associated software.

Companies, names, and data used in examples herein are fictitious unless otherwise noted. No part of this document may be reproduced or transmitted in any form or by any means, electronic or mechanical, for any purpose, nor transferred to any other media or language without the written permission of Cognex Corporation.

Copyright© 1999-2019

Cognex Corporation

All Rights Reserved

Patents

Portions of the hardware and software provided by Cognex may be covered by one or more U.S. and foreign patents, as well as pending U.S. and foreign patents listed on the Cognex web site at: http://www.cognex.com/patents.

Trademarks

The following are registered trademarks of Cognex Corporation:

  • Cognex
  • Cognex, Vision for Industry
  • In-Sight
  • EasyBuilder
  • VisionView
  • The In-Sight "crosshair" logo
  • OCRMax
  • PatFind
  • PatMax
  • PatQuick

The following are trademarks of Cognex Corporation:

  • The Cognex logo
  • TestRun
  • PatMax RedLine

Other product and company names mentioned herein may be the trademarks, or registered trademarks, of their respective owners.


Glossary

In-Sight OPC Server

The following table defines terminology used throughout this help document:

Term

Definition

Active Job

The job file currently loaded into memory on an In-Sight sensor or emulator is known as the Active Job.

Available Tag

An Available Tag is an OPC Tag that exists on an In-Sight sensor and may be added to your configuration. Every sensor or emulator that supports OPC has predefined Sensor Tags which are always available to be added to your configuration. Additionally, you can use In-Sight Explorer to add a custom Job Tag to any spreadsheet cell that contains data; once this Job Tag has been added to a cell, it then becomes an Available Tag.

Configuration

The configuration is a set of In-Sight sensors and OPC Tags you have established to be available for OPC clients to access. See Creating and Saving a Configuration for details on how to set up a configuration.

Configured Tag

In order for the In-Sight spreadsheet cell data associated with an Available Tag to become accessible to OPC clients, the Available Tag must be added to your configuration. Once the Available Tag is added to your configuration, it becomes a Configured Tag.

Event Log

The In-Sight OPC Server's Event Log displays informative messages regarding the status of the sensors in your configuration and the server itself. See About Event Logging for details on which messages are reported in the Event Log.

Firmware

Firmware is software code that runs within a physical In-Sight sensor. In-Sight sensors can be updated to the latest firmware version by launching In-Sight Explorer and selecting System > Update Firmware.

HMI

Human-Machine Interface

In-Sight Emulator (Emulator)

The In-Sight emulator is an offline programming device that runs on a PC and can mimic various types of physical In-Sight sensors. Emulators can be accessed in a similar fashion as In-Sight sensors from the list of Available Sensors.

In-Sight Explorer

Software used to administer, configure and maintain networks of In-Sight sensors. In-Sight Explorer is part of the In-Sight Software installer, which can be located on the In-Sight Software CD-ROM.

In-Sight Sensor

An In-Sight sensor may consist of a camera or a combination of a camera and vision processing hardware.

For a complete list of Cognex vision sensor products, see http://www.cognex.com/products/InSight/default.asp.

Job (Job File)

A job file (*.JOB) is an In-Sight spreadsheet configured to perform a specific set of machine vision tasks.

On In-Sight sensors, job file storage is limited to the amount of available flash memory. File storage on an In-Sight Emulator (running on a PC) is based upon the size of the hard disk in the PC.

Job Tag

Job Tags are user-configurable OPC Tags that represent a value stored in the In-Sight spreadsheet. See Adding an OPC Tag for details on setting up a new Job Tag.

OLE

Object Linking and Embedding

OPC

OLE for Process Control; an industry standard method for sharing data among networked automation devices.

OPC Foundation

The In-Sight OPC Server installs and makes use of the following OPC Materials from the OPC Foundation:

  • OPC Foundation Core Components 2.00
  • OPC Foundation Data Access Automation 2.02

OPC Specification

For detailed information on the OPC Specification, please visit the OPC Foundation web site at http://www.opcfoundation.org.

Sensor Tag

Sensor Tags are default OPC Tags that are always available on a sensor or emulator. They are inherently available on the sensor, rather than being stored in job files like Job Tags. See Sensor Tags for descriptions of the default Sensor Tags that may be added to your configuration.

Tag (Available)

See 'Available Tag'

Tag (Configured)

See 'Configured Tag'

Tag (Job)

See 'Job Tag'

Tag (OPC Tag)

An OPC Tag is a symbolic name that represents data from an In-Sight cell. This symbolic name can be exposed to OPC clients so they can access the data from In-Sight sensors. See Adding an OPC Tag for a tutorial on associating OPC Tags with In-Sight spreadsheet cells.

Tag (Sensor)

See 'Sensor Tag'


Technical Support

In-Sight OPC Server

Samples and Tutorials

Help Documentation

Internet Resources

Telephone Support

Repair and Returns

Samples and Tutorials

Samples projects that demonstrate how to integrate the In-Sight OPC Server with various third-party HMI and programming environments are installed along side the In-Sight OPC Server (by default, to '<Program Files>\Cognex\In-Sight\In-Sight Sample Projects').

Help Documentation

In addition to this In-Sight OPC Server Reference Guide HTML Help file, you may also refer to the following product documentation resources to learn more about the In-Sight spreadsheet interface and your particular vision sensor:

  • In-Sight® Explorer Reference Guide
  • Getting Started with In-Sight, Cognex P/N 590-6368 (English), 590-6368F (French), 590-6368G (German), or 590-6368J (Japanese).
  • Installing the In-Sight 3400 Vision Sensor, Cognex P/N 597-0025-xx (English), 597-0025-xxF (French), 597-0025-xxG (German), or 597-0025-xxJ (Japanese).
  • Installing the In-Sight 5000 Series Vision Sensor, Cognex P/N 597-0027-xx (English).
  • Model 1450 I/O Expansion Module Installation and Reference, Cognex P/N 597-0013-xx (English).
  • Model 1460 I/O Expansion Module Installation and Reference, Cognex P/N 597-0029-xx (English).
  • In-Sight computer-based tutorials, which are included on the In-Sight starter kit accessory kit CD-ROMs.

Internet Resources

The In-Sight Online Support & Learning Center, located at www.cognex.com/support/In-Sight.asp, is a valuable medium for answering your In-Sight questions. The Support Center includes the following resources:

  • Knowledge base/FAQs
  • Problem submissions
  • Downloads of updated In-Sight firmware and documentation
  • Application templates
  • Computer based tutorials
  • Internet seminars

Telephone Support

If you are unable to find the answer to your In-Sight question in the standard product documentation or online, phone support is available at the following locations:

  • United States: +1-508-650-4100
  • Japan: +81-3-5977-5214
  • France: +33-1-47-77-1525
  • United Kingdom: +44-1908-206-009
  • Germany: +49-721-6639-333
  • Italy: +39-0267-47-1365

Repair and Returns

Email: product_services@cognex.com


Tag Quality

The Quality of a tag is either Good or Bad. If the Quality is Bad, then one of the following indicators is presented:

  • Communications Failed: The server is not connected to the sensor, and the last value is not known. One potential cause of a communications failure is an incorrect User Name or Password supplied in the configuration of the sensor.
  • Configuration Error: Either the server encountered an error reading in the configuration, or the tag is not present on the sensor.
  • Device Failure: The server has not detected the sensor on the network.
  • Last Known: The server is not connected to the sensor, but the last value is known.
  • Not Connected: This tag was not present in the job file on the sensor.
  • Out of Service: The state of the item is inactive.


TriggerEvent Example

In-Sight OPC Server

About TriggerEvent

TriggerEvent is a Sensor Tag that is predefined on all sensors and emulators. Writing an integer value of 0 through 7 to the TriggerEvent tag will fire the corresponding "Soft n" trigger event in the spreadsheet, where n is the integer value written to the tag. Writing a value of 8 to the TriggerEvent tag will fire a Manual Acquisition.

Using the TriggerEvent Tag

In this example, we will link the TriggerEvent tag to a Soft Trigger in the In-Sight spreadsheet to increment a counter.

  1. Launch In-Sight Explorer.
  2. Connect to an In-Sight vision system (3400, 5000 or Micro-series) that is running version 3.1.0 firmware or later. The In-Sight emulator will also work for the purposes of this example.
  3. Load a new job file.
  4. Select cell A2.
  5. On the Insert Menu, click Function.
  6. Scroll down the list and select the Event function. Click OK.
  7. For the Trigger parameter, select Soft 5. Click OK.
  8. Select cell A4.
  9. On the Insert Menu, click Function.
  10. Scroll down the list and select the Count function. Click OK.
  11. On the Count property sheet, click Insert > Absolute Reference.
  12. Double-click cell A2.
  13. Click OK to close the property sheet.
  14. Right-click cell A4 and choose Insert Symbolic Tag.
  15. In the Symbolic Tag Editor dialog:
    1. Change the Tag Name to Counter.
    2. Select the Use OPC checkbox.
    3. Click OK.
  16. On the Sensor Menu, click Online to place the sensor into Online mode. This step is required in order to successfully write the TriggerEvent tag.
  17. Switch over to the In-Sight OPC Server. Open the Configuration Editor and select your sensor/emulator from the Available Sensors pane.
  18. In the Available Tags pane, select both the Counter and TriggerEvent tags.
  19. On the Menu Bar, click Available Tags > Add Selected.
  20. Click File > Save and Exit.
  21. From the Server Runtime dialog, start the OPC server by clicking Server > Run on the Menu Bar.
  22. From your OPC client, bring the Counter and TriggerEvent tags into view.
  23. Write a value of 5 to the TriggerEvent tag. Observe the Counter value increment as you repeatedly write a 5 into the TriggerEvent tag. Note that this 5 corresponds to the Soft 5 we assigned to the Trigger parameter of the Event function in the spreadsheet.

Related Topics

For more information on using In-Sight Explorer, refer to the In-Sight Explorer Help which is available by pressing F1 from within In-Sight Explorer.